# Deep Learning
This repository hosts code to build deep convolutional neural networks in [PyTorch](https://pytorch.org/).
The code is designed for semantic image segmentation of multispectral satellite imagery. However, most of the
code can also be used for image classification and object detection.

## Datasets
Currently, the following publicly available satellite imagery datasets are supported out-of-the-box:

- Spatial Procedures for Automated Removal of Cloud and Shadow ([SPARCS](https://www.usgs.gov/land-resources/nli/landsat/spatial-procedures-automated-removal-cloud-and-shadow-sparcs-validation)) by Hughes M.J. & Hayes D.J. ([2014](https://www.mdpi.com/2072-4292/6/6/4907))
- [Cloud-38](https://github.com/SorourMo/38-Cloud-A-Cloud-Segmentation-Dataset) and [Cloud-95](https://github.com/SorourMo/95-Cloud-An-Extension-to-38-Cloud-Dataset) by Mohajerani S. & Saeedi P. ([2019](https://arxiv.org/abs/1901.10077), [2020](https://arxiv.org/abs/2001.08768))

## Contributors & Contact
- [Daniel Frisinghelli](http://www.eurac.edu/en/research/mountains/remsen/staff/Pages/staffdetails.aspx?persId=37603)

For further information or ideas for future development please contact: daniel.frisinghelli@eurac.edu

## License
If not explicitly stated otherwise, this repository is licensed under the **GNU GENERAL PUBLIC LICENSE v3.0**
(see [LICENSE](https://gitlab.inf.unibz.it/REMSEN/ccisnow/deep-learning/-/blob/master/LICENSE)).<br>
<br>![](http://www.eurac.edu/Style%20Library/logoEURAC.jpg)<br><br>